# Anti-cheat system

gamemode 2 @a[m=0]
gamemode 2 @a[m=1]
gamemode 2 @a[m=3]

effect @a[score_LeaveGame_min=1] resistance 0 0 true
effect @a[score_LeaveGame_min=1] resistance 1000000 255 true
scoreboard players set @a LeaveGame 0

effect @a[score_Health=19] instant_health 1 100 true

# Potion effects

effect @a resistance 1000000 255 true
effect @a fire_resistance 1000000 255 true
effect @a saturation 1000000 255 true

# Custom names

entitydata @e[tag=LobbyTextsIn] {CustomNameVisible:0}
entitydata @e[tag=LobbyTextsOut] {CustomNameVisible:0}

# Block the player

tp @a[score_Timer=0] 0 11 1000
scoreboard objectives setdisplay sidebar
replaceitem entity @a[score_Timer=0] slot.armor.head pumpkin 1 0 {ench:[{id:10,lvl:1}]}
execute @a[score_Timer=0] ~ ~ ~ /clone -15 10 978 -13 13 980 -1 10 999

# Title

title @a[score_Timer=0] times 0 150 0

title @a[score_Timer=0] title ["",{"text":"Thanks for playing!","color":"yellow"}]
title @a[score_Timer=0] subtitle ["",{"text":" "}]

# Outro text

scoreboard players add @a Timer 1

title @a[score_Timer_min=150,score_Timer=150] times 0 800 0
title @a[score_Timer_min=150,score_Timer=150] title ["",{"text":"Elementary Jumps","color":"gray"}]
title @a[score_Timer_min=150,score_Timer=150] subtitle ["",{"text":"by ","color":"gray"},{"text":"Red_Apple17","color":"dark_red"}]

tellraw @a[score_Timer_min=150,score_Timer=150] ["",{"text":"\n\n<God> I'm really impressed by your skills, "},{"selector":"@a"},{"text":"!"}]
tellraw @a[score_Timer_min=300,score_Timer=300] ["",{"text":"\n<God> You controlled all the elements by doing their parkour."}]
tellraw @a[score_Timer_min=450,score_Timer=450] ["",{"text":"\n<God> As promised, you will fight beside me against evil."}]
tellraw @a[score_Timer_min=600,score_Timer=600] ["",{"text":"\n<God> Fortunately, I don't need your help right now."}]
tellraw @a[score_Timer_min=750,score_Timer=750] ["",{"text":"\n<God> In the meantime, you can beat your own scores, beat the map maker's scores and complete the achievements."}]

# Unlock player and restore his sight

execute @a[score_Timer_min=950,score_Timer=950] ~ ~ ~ /clone -9 10 978 -7 13 980 -1 10 999
clear @a[score_Timer_min=950,score_Timer=950]

# Animation 1

tp @a[score_Timer_min=950,score_Timer=1150] 55 55 870 -55 40

playsound minecraft:entity.tnt.primed master @a[score_Timer_min=990,score_Timer=990] ~ ~ ~ 2 1 1

playsound minecraft:entity.generic.explode master @a[score_Timer_min=1050,score_Timer=1050] ~ ~ ~ 2 1 1
execute @a[score_Timer_min=1050,score_Timer=1050] ~ ~ ~ /particle smoke 63.0 50.0 871.0 0 0 0 0.2 1000 force @s
execute @a[score_Timer_min=1050,score_Timer=1050] ~ ~ ~ /particle hugeexplosion 63.0 50.0 871.0 0 0 0 1 1 force @s
execute @a[score_Timer_min=1050,score_Timer=1050] ~ ~ ~ /particle blockcrack 63.0 50.0 871.0 1 1 1 1 500 force @s 4

execute @a[score_Timer_min=1050,score_Timer=1050] ~ ~ ~ /clone 69 27 872 73 34 868 62 45 867

# Animation 2

tp @a[score_Timer_min=1150,score_Timer=1350] 102 46 886 80 40

playsound minecraft:entity.tnt.primed master @a[score_Timer_min=1190,score_Timer=1190] ~ ~ ~ 2 1 1

playsound minecraft:entity.generic.explode master @a[score_Timer_min=1250,score_Timer=1250] ~ ~ ~ 2 1 1
execute @a[score_Timer_min=1250,score_Timer=1250] ~ ~ ~ /particle smoke 95 40 884 0 0 0 0.2 1000 force @s
execute @a[score_Timer_min=1250,score_Timer=1250] ~ ~ ~ /particle hugeexplosion 95 40 884 0 0 0 1 1 force @s
execute @a[score_Timer_min=1250,score_Timer=1250] ~ ~ ~ /particle blockcrack 95 40 884 1 1 1 1 500 force @s 4

execute @a[score_Timer_min=1250,score_Timer=1250] ~ ~ ~ /clone 106 17 886 100 25 882 91 35 881

# Next function

scoreboard players set @a[score_Timer_min=1350] EndDone 1
scoreboard players set @a[score_Timer_min=1350] Timer 0
execute @a[score_Timer=0] ~ ~ ~ /gamerule gameLoopFunction lobby:lobbyReset